aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: 20051013  (Read 1427 times)

bluemoon

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 1
20051013
« on: October 13, 2005, 05:09:35 PM »

i've downloaded  

 wxGTK2-2.6.1-i686-1thee.tgz  

from here "http://www.amule.org/files/files.php?cat=12"

installpkg wxGTK2-2.6.1-i686-1thee.tgz

then

compiled amule-cvs-20051013 sucsessfully

but when i launch it says:

../../../amule/bin/amule: /usr/lib/libwx_gtk2u_core-2.6.so.0: version `WXU_2.6.2' not found (required by ../../../amule/bin/amule)

ldd gives this output

ldd ../../../amule/bin/amule
../../../amule/bin/amule: /usr/lib/libwx_gtk2u_core-2.6.so.0: version `WXU_2.6.2' not found (required by ../../../amule/bin/amule)
        libpthread.so.0 => /lib/libpthread.so.0 (0x40027000)
        libwx_gtk2u_xrc-2.6.so.0 => /usr/lib/libwx_gtk2u_xrc-2.6.so.0 (0x40078000)
        libwx_gtk2u_qa-2.6.so.0 => /usr/lib/libwx_gtk2u_qa-2.6.so.0 (0x400f9000)
        libwx_gtk2u_html-2.6.so.0 => /usr/lib/libwx_gtk2u_html-2.6.so.0 (0x40117000)
        libwx_gtk2u_adv-2.6.so.0 => /usr/lib/libwx_gtk2u_adv-2.6.so.0 (0x401a7000)
        libwx_gtk2u_core-2.6.so.0 => /usr/lib/libwx_gtk2u_core-2.6.so.0 (0x4024b000)
        libwx_baseu_xml-2.6.so.0 => /usr/lib/libwx_baseu_xml-2.6.so.0 (0x40630000)
        libwx_baseu_net-2.6.so.0 => /usr/lib/libwx_baseu_net-2.6.so.0 (0x4063b000)
        libwx_baseu-2.6.so.0 => /usr/lib/libwx_baseu-2.6.so.0 (0x40667000)
        libz.so.1 => /usr/lib/libz.so.1 (0x407f8000)
        libbfd-2.15.92.0.2.so => /usr/lib/libbfd-2.15.92.0.2.so (0x4080a000)
        libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0x4089d000)
        libm.so.6 => /lib/libm.so.6 (0x40955000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x40978000)
        libc.so.6 => /lib/libc.so.6 (0x40982000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40a9b000)
        /lib/ld-linux.so.2 (0x40000000)
        libdl.so.2 => /lib/libdl.so.2 (0x40b65000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x40b69000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x40e3d000)
        libXinerama.so.1 => /usr/X11R6/lib/libXinerama.so.1 (0x40e41000)
        libXxf86vm.so.1 => /usr/X11R6/lib/libXxf86vm.so.1 (0x40e45000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x40e4a000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x40e6a000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x40e7f000)
        libpangoxft-1.0.so.0 => /usr/lib/libpangoxft-1.0.so.0 (0x40efc000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x40f03000)
        libpangox-1.0.so.0 => /usr/lib/libpangox-1.0.so.0 (0x40f29000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x40f34000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x40f6b000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x40f84000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x40fb8000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x40fbc000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x4103c000)
        libXrandr.so.2 => /usr/X11R6/lib/libXrandr.so.2 (0x4104a000)
        libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x4104d000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x41056000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x41068000)
        libfontconfig.so.1 => /usr/X11R6/lib/libfontconfig.so.1 (0x410d2000)
        libXfixes.so.3 => /usr/X11R6/lib/libXfixes.so.3 (0x410f9000)
        libXcursor.so.1 => /usr/X11R6/lib/libXcursor.so.1 (0x410fe000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x41107000)

bash-3.00# ls /usr/lib/libwx_*    
/usr/lib/libwx_baseu-2.6.so               /usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0.0.0
/usr/lib/libwx_baseu-2.6.so.0             /usr/lib/libwx_gtk2u_html-2.6.so
/usr/lib/libwx_baseu-2.6.so.0.0.0         /usr/lib/libwx_gtk2u_html-2.6.so.0
/usr/lib/libwx_baseu_net-2.6.so           /usr/lib/libwx_gtk2u_html-2.6.so.0.0.0
/usr/lib/libwx_baseu_net-2.6.so.0         /usr/lib/libwx_gtk2u_media-2.6.so
/usr/lib/libwx_baseu_net-2.6.so.0.0.0     /usr/lib/libwx_gtk2u_media-2.6.so.0
/usr/lib/libwx_baseu_xml-2.6.so           /usr/lib/libwx_gtk2u_media-2.6.so.0.0.0
/usr/lib/libwx_baseu_xml-2.6.so.0         /usr/lib/libwx_gtk2u_ogl-2.6.so
/usr/lib/libwx_baseu_xml-2.6.so.0.0.0     /usr/lib/libwx_gtk2u_ogl-2.6.so.0
/usr/lib/libwx_gtk2u_adv-2.6.so           /usr/lib/libwx_gtk2u_ogl-2.6.so.0.0.0
/usr/lib/libwx_gtk2u_adv-2.6.so.0         /usr/lib/libwx_gtk2u_qa-2.6.so
/usr/lib/libwx_gtk2u_adv-2.6.so.0.0.0     /usr/lib/libwx_gtk2u_qa-2.6.so.0
/usr/lib/libwx_gtk2u_core-2.6.so          /usr/lib/libwx_gtk2u_qa-2.6.so.0.0.0
/usr/lib/libwx_gtk2u_core-2.6.so.0        /usr/lib/libwx_gtk2u_stc-2.6.so
/usr/lib/libwx_gtk2u_core-2.6.so.0.0.0    /usr/lib/libwx_gtk2u_stc-2.6.so.0
/usr/lib/libwx_gtk2u_gizmos-2.6.so        /usr/lib/libwx_gtk2u_stc-2.6.so.0.0.0
/usr/lib/libwx_gtk2u_gizmos-2.6.so.0      /usr/lib/libwx_gtk2u_xrc-2.6.so
/usr/lib/libwx_gtk2u_gizmos-2.6.so.0.0.0  /usr/lib/libwx_gtk2u_xrc-2.6.so.0
/usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so    /usr/lib/libwx_gtk2u_xrc-2.6.so.0.0.0
/usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0

why does it say version  " version `WXU_2.6.2' not found "  when it is obviously present?

i can't really understand this error message!!
Logged